# RPM specfile for libogg module
# Generated Tue May 14 21:03:16 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.31 2002/05/06 16:42:13 frb Exp $

%define nam	libogg
%define ver	1.0rc3
%define ximrev	4

Name:     	libogg
Version: 	1.0rc3
Release:	54.ximian.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 8.0 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.xiph.org/
Source0:	libogg-1.0rc3.tar.gz
Patch0:		libogg-remove-debdir.patch
Summary:	Ogg Bitstream Library
Group:		Libraries/Multimedia
Provides:	ximian-libogg = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Libogg is a library for manipulating ogg bitstreams.  It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%files
%defattr(-, root, root)
/usr/lib/libogg.so.*
/usr/share/doc/libogg-1.0*/*


%post
ldconfig

%package -n libogg-devel
Summary:	Ogg Bitstream Library Development
Group:		Development/Libraries
Requires:	%{nam} = %{ver}
Provides:	liboggd = %{PACKAGE_VERSION}
Provides:	ximian-libogg-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	liboggd

%description -n libogg-devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%files -n libogg-devel
%defattr(-, root, root)
/usr/include/ogg/ogg.h
/usr/include/ogg/os_types.h
/usr/include/ogg/config_types.h
/usr/lib/libogg.a
/usr/lib/libogg.so
/usr/lib/libogg.la
/usr/share/aclocal/ogg.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libogg-1.0rc3
    ;;
all)
%setup  -q -n libogg-1.0rc3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake --gnu --add-missing --include-deps; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue May 14 2002 Ximian, Inc.

- Version: 1.0-54.ximian.4
- Summary: New build.
- New automated build.

